#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <signal.h>
#include <errno.h>

void sig_handler(int sig)
{
	fprintf(stderr, "signal: %d\n", sig);
}

int main()
{
	int fd[2];
	int ret;
	int i;

	ret = pipe(fd);
	if (ret == -1) {
		perror("pipe()");
		exit(-1);
	}

	for (i=0; i<100; i++) {
		signal(i, sig_handler);
	}

	close(fd[0]);
	errno = 0;
	ret = write(fd[1], "0123456789\n", 11);
	fprintf(stderr, "W: %d\n", ret);
	if (ret <= 0) {
		perror("write()");
	}
	close(fd[1]);
	
	return 0;
}

